For the complete documentation index, see llms.txt. This page is also available as Markdown.

Retrieve a permission

How to fetch a specific permission via API

To fetch a single permission, send a GET request to the /api/permissions/:id endpoint, where id is the ID of the resource that you want to retrieve.

Request

GET https://provisioning.commercelayer.io/api/permissions/:id

Example

The following request fetches the permission identified by the id "xYZkjABcde":

curl -g -X GET \
  'https://provisioning.commercelayer.io/api/permissions/xYZkjABcde' \
  -H 'Accept: application/vnd.api+json' \
  -H 'Authorization: Bearer {{your_access_token}}'

On success, the API responds with a 200 OK status code, returning a single resource object:

{
  "data": {
    "id": "xYZkjABcde",
    "type": "permissions",
    "links": {
      "self": "https://provisioning.commercelayer.io/api/permissions/xYZkjABcde"
    },
    "attributes": {
      "can_create": false,
      "can_read": false,
      "can_update": false,
      "can_destroy": false,
      "subject": "",
      "restrictions": {
        "foo": "bar"
      },
      "created_at": "2018-01-01T12:00:00.000Z",
      "updated_at": "2018-01-01T12:00:00.000Z",
      "reference": "ANY-EXTERNAL-REFEFERNCE",
      "reference_origin": "ANY-EXTERNAL-REFEFERNCE-ORIGIN",
      "metadata": {
        "foo": "bar"
      }
    },
    "relationships": {
      "organization": {
        "links": {
          "self": "https://provisioning.commercelayer.io/api/permissions/xYZkjABcde/relationships/organization",
          "related": "https://provisioning.commercelayer.io/api/permissions/xYZkjABcde/organization"
        }
      },
      "role": {
        "links": {
          "self": "https://provisioning.commercelayer.io/api/permissions/xYZkjABcde/relationships/role",
          "related": "https://provisioning.commercelayer.io/api/permissions/xYZkjABcde/role"
        }
      },
      "versions": {
        "links": {
          "self": "https://provisioning.commercelayer.io/api/permissions/xYZkjABcde/relationships/versions",
          "related": "https://provisioning.commercelayer.io/api/permissions/xYZkjABcde/versions"
        }
      }
    }
  }
}

Last updated